Index: xmms-1.2.4/configure
diff -u xmms-1.2.4/configure:1.1.1.1 xmms-1.2.4/configure:1.3
--- xmms-1.2.4/configure:1.1.1.1	Thu May  3 11:29:19 2001
+++ xmms-1.2.4/configure	Thu May  3 11:43:40 2001
@@ -2281,7 +2281,7 @@
 #include "confdefs.h"
 #include <pthread.h>
 EOF
-ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
+ac_try="$ac_cpp -w conftest.$ac_ext >/dev/null 2>conftest.out"
 { (eval echo configure:2286: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
 ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
 if test -z "$ac_err"; then
@@ -7744,6 +7744,7 @@
 Output/OSS/Makefile
 Output/esd/Makefile
 Output/disk_writer/Makefile
+Output/AIX/Makefile
 Input/Makefile
 Input/wav/Makefile
 Input/mpg123/Makefile
@@ -7982,6 +7983,7 @@
 Output/OSS/Makefile
 Output/esd/Makefile
 Output/disk_writer/Makefile
+Output/AIX/Makefile
 Input/Makefile
 Input/wav/Makefile
 Input/mpg123/Makefile
Index: xmms-1.2.4/configure.in
diff -u xmms-1.2.4/configure.in:1.1.1.1 xmms-1.2.4/configure.in:1.2
--- xmms-1.2.4/configure.in:1.1.1.1	Thu May  3 11:29:19 2001
+++ xmms-1.2.4/configure.in	Thu May  3 11:43:40 2001
@@ -377,6 +377,7 @@
 Output/OSS/Makefile
 Output/esd/Makefile
 Output/disk_writer/Makefile
+Output/AIX/Makefile
 Input/Makefile
 Input/wav/Makefile
 Input/mpg123/Makefile
Index: xmms-1.2.4/Effect/voice/voice.h
diff -u xmms-1.2.4/Effect/voice/voice.h:1.1.1.1 xmms-1.2.4/Effect/voice/voice.h:1.2
--- xmms-1.2.4/Effect/voice/voice.h:1.1.1.1	Thu May  3 11:29:29 2001
+++ xmms-1.2.4/Effect/voice/voice.h	Thu May  3 11:34:20 2001
@@ -5,6 +5,9 @@
 #include "config.h"
 
 #include <pthread.h>
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 
 #include <stdlib.h>
 #include <string.h>
Index: xmms-1.2.4/Input/mpg123/mpg123.h
diff -u xmms-1.2.4/Input/mpg123/mpg123.h:1.1.1.1 xmms-1.2.4/Input/mpg123/mpg123.h:1.2
--- xmms-1.2.4/Input/mpg123/mpg123.h:1.1.1.1	Thu May  3 11:29:27 2001
+++ xmms-1.2.4/Input/mpg123/mpg123.h	Thu May  3 11:34:19 2001
@@ -19,6 +19,9 @@
 
 #include <math.h>
 
+#if defined(_AIX) && defined(func_data)
+# undef func_data
+#endif
 #include <gtk/gtk.h>
 
 #include "xmms/plugin.h"
Index: xmms-1.2.4/Input/wav/wav.h
diff -u xmms-1.2.4/Input/wav/wav.h:1.1.1.1 xmms-1.2.4/Input/wav/wav.h:1.2
--- xmms-1.2.4/Input/wav/wav.h:1.1.1.1	Thu May  3 11:29:26 2001
+++ xmms-1.2.4/Input/wav/wav.h	Thu May  3 11:34:19 2001
@@ -21,6 +21,9 @@
 #include "config.h"
 
 #include <pthread.h>
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 
 #include <stdlib.h>
 #include <string.h>
Index: xmms-1.2.4/Output/Makefile.am
diff -u xmms-1.2.4/Output/Makefile.am:1.1.1.1 xmms-1.2.4/Output/Makefile.am:1.2
--- xmms-1.2.4/Output/Makefile.am:1.1.1.1	Thu May  3 11:29:25 2001
+++ xmms-1.2.4/Output/Makefile.am	Thu May  3 11:43:41 2001
@@ -1 +1 @@
-SUBDIRS = OSS esd disk_writer
+SUBDIRS = OSS esd disk_writer AIX
Index: xmms-1.2.4/libxmms/util.h
diff -u xmms-1.2.4/libxmms/util.h:1.1.1.1 xmms-1.2.4/libxmms/util.h:1.2
--- xmms-1.2.4/libxmms/util.h:1.1.1.1	Thu May  3 11:29:21 2001
+++ xmms-1.2.4/libxmms/util.h	Thu May  3 11:34:20 2001
@@ -1,5 +1,9 @@
 #ifndef XMMS_UTIL_H
 #define XMMS_UTIL_H
+
+#if defined(_AIX) && defined(func_data)
+#  undef func_data
+#endif
 #include <gtk/gtk.h>
 
 #ifdef __cplusplus
